Last Comment Bug 1120163 - Warning: Property contained reference to invalid variable
: Warning: Property contained reference to invalid variable
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Calendar Views (show other bugs)
: Sunbird 1.0b1
: All All
-- trivial (vote)
: 4.0.0.1
Assigned To: Decathlon
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-11 00:32 PST by Decathlon
Modified: 2015-01-18 11:43 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch - v1 (1.10 KB, patch)
2015-01-11 00:49 PST, Decathlon
richard.marti: review+
Details | Diff | Splinter Review
patch - v2 (1.56 KB, patch)
2015-01-11 02:33 PST, Decathlon
bv1578: review+
Details | Diff | Splinter Review

Description User image Decathlon 2015-01-11 00:32:41 PST
In month view a warning message appears in the console when is being selected a daybox that belongs to another month.
Comment 1 User image Decathlon 2015-01-11 00:49:29 PST
Created attachment 8547143 [details] [diff] [review]
patch - v1

A variable escaped form the second revision of the patch in bug 985114.
Comment 2 User image Richard Marti (:Paenglab) 2015-01-11 01:51:43 PST
Comment on attachment 8547143 [details] [diff] [review]
patch - v1

r+ with fixing this also in window[systemcolors] {}.
Comment 3 User image Decathlon 2015-01-11 02:33:03 PST
Created attachment 8547153 [details] [diff] [review]
patch - v2

It's always better to check on mxr too ;-)

What is the status on comm-central? Is it possible to push the patch or should I set the checkin-needed keyword?
Comment 4 User image Richard Marti (:Paenglab) 2015-01-11 02:45:13 PST
It's possible after starring the failures. See https://wiki.mozilla.org/Sheriffing/How:To:Comm-central
Comment 5 User image Decathlon 2015-01-11 04:08:54 PST
I've never understood that stuff. If one has to wait for the starred oranges (at least one) on the previous push, I can't explain why so many people push patches when the previous push has not been starred at all yet (e.g. like now 2015-01-11 02:30 PST). Am I missing something?
On the other hand, since the process building+run tests is rather long, the timing window to push your patch is minimum because someone else is waiting to push another patch on the tree and, in theory, you should wait for starring the oranges that will come on this new push under build (a process that takes hours and, with oranges starred, sometimes even days).
I see that patches like this one are not a problem for the failures, but they should follow the rule too. Shouldn't they?
But I see this is not the place to talk about that.
Comment 6 User image Philipp Kewisch [:Fallen] 2015-01-11 05:45:34 PST
I think there is a bug that starring on treeherder is not taken over on tbpl. Were you checking on treeherder? I think Sylvestre just broke the rules in this case and its an exception, but I usually set checkin-needed myself and wait for more patches to crop up so we can push a few at once. In theory, all patches go through the same rules, there is no exception for minor patches.
Comment 7 User image Decathlon 2015-01-14 01:39:51 PST
(In reply to Philipp Kewisch [:Fallen] from comment #6)
> I think there is a bug that starring on treeherder is not taken over on
> tbpl.

Ah, OK. Now I see the difference, it seemed strange that lately it took so long for starring failures.

> but I usually set checkin-needed
> myself and wait for more patches to crop up so we can push a few at once.

Now could be a right moment for pushing (all starred on treeherder and no build in progress), but I leave the checkin-needed if you prefer to have more patches to push at once.

Note You need to log in before you can comment on or make changes to this bug.